#
# Conditional build:
%bcond_without	static_libs	# static library
#
Summary:	Lightweight video thumbnailer
Summary(pl.UTF-8):	Lekki program do wykonywania miniaturek dla filmów
Name:		ffmpegthumbnailer
Version:	2.2.2
Release:	1
License:	GPL v2
Group:		Applications/Graphics
#Source0Download: https://github.com/dirkvdb/ffmpegthumbnailer/releases
Source0:	https://github.com/dirkvdb/ffmpegthumbnailer/releases/download/%{version}/%{name}-%{version}.tar.bz2
# Source0-md5:	ef466e64df666ba006c0b071eb48018e
Patch0:		%{name}-pc.patch
URL:		https://github.com/dirkvdb/ffmpegthumbnailer
BuildRequires:	cmake >= 3.5
# libavcodec >= 52.26.0 libavformat libavutil libswscale
BuildRequires:	ffmpeg-devel >= 0.6
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	libstdc++-devel
BuildRequires:	pkgconfig
BuildRequires:	sed >= 4.0
# dlopens libglib-2.0.so.0 libgobject-2.0.so.0 libgio-2.0.so.0
Requires:	glib2 >= 2.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
ffmpegthumbnailer can be used by file managers to create thumbnails
for your video files. It uses ffmpeg to decode frames from the video
files.

%description -l pl.UTF-8
ffmpegthumbnailer może być używany przez zarządców plików do tworzenia
miniaturek dla plików filmów. Wykorzystuje ffmpeg do dekodowania
klatek.

%package devel
Summary:	Header files for libffmpegthumbnailer library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libffmpegthumbnailer
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	ffmpeg-devel
Requires:	libjpeg-devel
Requires:	libpng-devel

%description devel
Header files for libffmpegthumbnailer library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libffmpegthumbnailer.

%package static
Summary:	Static libffmpegthumbnailer library
Summary(pl.UTF-8):	Statyczna biblioteka libffmpegthumbnailer
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libffmpegthumbnailer library.

%description static -l pl.UTF-8
Statyczna biblioteka libffmpegthumbnailer.

%prep
%setup -q
%patch0 -p1

%build
mkdir build
cd build
%cmake .. \
	-DENABLE_GIO=ON \
	-DENABLE_TESTS=ON \
	%{?with_static_libs:-DENABLE_STATIC=ON} \
	-DENABLE_THUMBNAILER=ON

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README TODO
%attr(755,root,root) %{_bindir}/ffmpegthumbnailer
%attr(755,root,root) %{_libdir}/libffmpegthumbnailer.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libffmpegthumbnailer.so.4
%{_datadir}/thumbnailers/ffmpegthumbnailer.thumbnailer
%{_mandir}/man1/ffmpegthumbnailer.1*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libffmpegthumbnailer.so
%{_includedir}/libffmpegthumbnailer
%{_pkgconfigdir}/libffmpegthumbnailer.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libffmpegthumbnailer.a
%endif
%changelog
* Fri Apr 15 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ffmpegthumbnailer.git;a=log;h=master

* Tue Apr 12 2022 Jakub Bogusz <qboosh@pld-linux.org> edfe753
- updated to 2.2.2
- updated pc patch

* Sat Apr 28 2018 Jan Rękorajski <baggins@pld-linux.org> 8334fde
- rebuild with ffmpeg 4
- release 2 (by relup.sh)

* Thu Jan 12 2017 Marcin Banasiak <marcin.banasiak@gmail.com> b8c6407
- Update to 2.2.0

* Sat May 14 2016 Jakub Bogusz <qboosh@pld-linux.org> 0e801e1
- updated to 2.1.1 release
- added pc patch (fix libdir and Libs.private with stray -L)

* Tue Mar 29 2016 Jan Rękorajski <baggins@pld-linux.org> 893cf8a
- updated to 2.1.1 git snap
- new source URL

* Sun Mar 29 2015 Jan Rękorajski <baggins@pld-linux.org> 9671b09
- x32 rebuild
- release 7 (by relup.sh)

* Wed Oct 08 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 6a33ac0
- release 6 (by relup.sh)

* Thu Nov 07 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 45fb187
- rel 5; build fixed

* Tue Oct 29 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> cd5dfd2
- release 4 (by relup.sh)

* Sun Aug 25 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 0da75b7
- release 3 (by relup.sh)

* Sun Feb 03 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 3fdea03
- release 2 (by relup.sh)

* Sun Nov 11 2012 Jakub Bogusz <qboosh@pld-linux.org> fae5264
- -devel R: libjpeg-devel; comment for glib2 R

* Thu Nov 08 2012 Jan Rękorajski <baggins@pld-linux.org> 3fd3771
- gnomevfs is not supported anymore
- enable gio and thumbnailer config

* Thu Nov 08 2012 Jan Rękorajski <baggins@pld-linux.org> 4705676
- updated to 2.0.8

* Tue Feb 07 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> ff2eab4
- release 3

* Tue Dec 20 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 619c4f8
- release 2

* Tue Jul 26 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 591fc8b
- up to 2.0.7

* Sun Jul 24 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> d1902f3
- release 3

* Mon Jun 27 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> bf93f98
- release 2

* Wed Aug 25 2010 Elan Ruusamäe <glen@pld-linux.org> 191710e
- up to 2.0.4
- gnomevfs supproted via dlopen
- requires ffmpeg 0.6 for avcodec_decode_video2 symbol

